package com.jxdinfo.hussar.core.bouncycastle.asn1.oiw;

package .tmp;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1ObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.asn1.x9.X9ECParametersHolder;
import com.jxdinfo.hussar.core.bouncycastle.math.ec.ECCurve;

public interface OIWObjectIdentifiers {
  public static final ASN1ObjectIdentifier desECB;
  
  public static final ASN1ObjectIdentifier desEDE;
  
  public static final ASN1ObjectIdentifier idSHA1;
  
  public static final ASN1ObjectIdentifier dsaWithSHA1;
  
  public static final ASN1ObjectIdentifier elGamalAlgorithm;
  
  public static final ASN1ObjectIdentifier desCBC;
  
  public static final ASN1ObjectIdentifier md4WithRSA = new ASN1ObjectIdentifier(X9ECParametersHolder.double("+\036&\021+\0048\017/\031.\030"));
  
  public static final ASN1ObjectIdentifier sha1WithRSA;
  
  public static final ASN1ObjectIdentifier desCFB;
  
  public static final ASN1ObjectIdentifier md5WithRSA = new ASN1ObjectIdentifier(ECCurve.extends("NCCLNY]RJDKD"));
  
  public static final ASN1ObjectIdentifier md4WithRSAEncryption = new ASN1ObjectIdentifier(X9ECParametersHolder.double("+\036&\021+\0048\017/\031.\036"));
  
  public static final ASN1ObjectIdentifier desOFB;
  
  static {
    desECB = new ASN1ObjectIdentifier(ECCurve.extends("NCCLNY]RJDKA"));
    desCBC = new ASN1ObjectIdentifier(X9ECParametersHolder.double("+\036&\021+\0048\017/\031.\035"));
    desOFB = new ASN1ObjectIdentifier(ECCurve.extends("NCCLNY]RJDKO"));
    desCFB = new ASN1ObjectIdentifier(X9ECParametersHolder.double("+\036&\021+\0048\017/\031.\023"));
    desEDE = new ASN1ObjectIdentifier(ECCurve.extends("AQ^^SKC@OVXT@"));
    idSHA1 = new ASN1ObjectIdentifier(X9ECParametersHolder.double("\0344\003;\016.\036%\0223\0052\034"));
    dsaWithSHA1 = new ASN1ObjectIdentifier(ECCurve.extends("AQ^^SKC@OVXW@"));
    sha1WithRSA = new ASN1ObjectIdentifier(X9ECParametersHolder.double("\0344\003;\016.\036%\0223\0052\023"));
    elGamalAlgorithm = new ASN1ObjectIdentifier(ECCurve.extends("S^LCAVQZ]SJGKF"));
  }
}
